package com.ningdatech.pmapi.filemanage.model.vo;

import com.ningdatech.pmapi.projectlib.model.vo.ProjectDetailVO;
import com.wflow.workflow.bean.vo.ProcessDetailVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname ProjectFileVO
 * @Description
 * @Date 2023/6/6 14:41
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ProjectFileVO", description = "项目档案")
public class ProjectFileVO {

    @ApiModelProperty("项目ID")
    private Long id;

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("项目单位")
    private String buildOrgName;

    @ApiModelProperty("项目编号")
    private String pojectCode;

    @ApiModelProperty("是否可阅")
    private Boolean canRead = Boolean.FALSE;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("项目档案详情")
    private ProjectDetailVO projectDetailVo;

    @ApiModelProperty("流程进度详情")
    private List<ProcessDetailVO> processDetailVos;
}
